angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.tag_recharge', {
            url: '/tag/:tag_id/recharge',
            templateUrl: 'templates/tags/tag-recharge.html' + random,
            controller: 'TagRechargeCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/tags-controllers.js' + random,
                            'js/services/tags-services.js' + random
                        ]);
                    }
                ]
            }
        });
    }
]);